﻿// Copyright (C) 2020 VIRNECT CO., LTD.
// All rights reserved.

using UnityEngine;

namespace VIRNECT
{
    /// <summary>
    /// Data container to hold all global framework settings
    /// </summary>
    public class TrackSettings : ScriptableObject
    {
        //License key for this project
        public string LicenseKey = "";

        // If the BuildSanitizer should check all scenes
        public bool PerformPreBuildSceneCheck = true;
    }

}